using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class Respawn : MonoBehaviour
{
    private Vector3 initialPosition;
    private int timerSeconds = 0;
    private float Timer = 0.0f;

    public TextMeshProUGUI TimerText;

    // Start is called before the first frame update
    void Start()
    {
        initialPosition = this.gameObject.transform.position;
    }

    // Update is called once per frame
    void Update()
    {
        Timer += Time.deltaTime;
        TimerText.text = Timer.ToString();
        if(this.gameObject.transform.position.y < -10)
        {
            this.gameObject.transform.position = initialPosition;
            Timer = 0.0f;
        }

    }
}
